var thisLeftClass = "";

jQuery(function() {
	/**************/
	//$('.excerptBox p:first-child').addClass('p_excerpt');
	/*******侧边栏*******/
	mytest = $(".faxian_widget");
	$(".faxian_widget ul li img").bind("mouseover", function() {
		clearTimeout(mytest.data("showTimeoutId"));
		if($(this).attr('id')=="see_more"){
			return false;
		}
		var love_url = $(this).parent('a').attr('href');
		$this_faxian_widget = $(this).parent('a').parent('li').parent('ul').parent('.faxian_widget');
		$this_faxian_widget.find(".faxian_widget_img").attr("height",'245').attr("width",'245').attr("src",$(this).attr('src'));
		$this_faxian_widget.find(".faxian_widget_title").html('<a href="'+love_url+'" target="_blank" onclick="_gaq.push([\'_trackEvent\',\'侧边栏最新发现\',\'侧边栏最新发现\',\'\']);">'+ $(this).attr('title')+'</a>');
		$this_faxian_widget.find('.faxian_href').attr('href', love_url);
		mytest.data("showTimeoutId", setTimeout("$this_faxian_widget.children('.full').fadeIn('slow').css('position', 'absolute')", 500));
			return false;
	});
	$(".faxian_widget ul li .relateFxPic").bind("mouseover", function() {
		clearTimeout(mytest.data("showTimeoutId"));
	});
	$('.full').mouseleave(function(){
		$('.full').fadeOut('fast');
	});
	$('.faxian_widget').mouseleave(function(){
		clearTimeout(mytest.data("showTimeoutId"));
		$('.full').fadeOut('fast');
	});		

	var M = navigator.userAgent.toLowerCase();
	var TestIE = {
		IE : /msie/.test(M),
		OPERA : /opera/.test(M),
		MOZ : /gecko/.test(M),
		IE5 : /msie 5 /.test(M),
		IE55 : /msie 5.5/.test(M),
		IE6 : /msie 6/.test(M),
		IE7 : /msie 7/.test(M),
		SAFARI : /safari/.test(M)
	};

	jQuery(".toTop").click(function() {
		jQuery("html, body").animate({
			scrollTop : 0
		}, 150);
	});

	if (TestIE.IE6) {
		jQuery("#header_top").css("position", "relative").css("top", 0);
	}
	var sidebarHeight = jQuery("#right_side").height();

	var element = $("#right_sliding");
	var sidebarExist = (element.length > 0);
	var top = 0;
	var element_height = 0;
	var footer_height = $("#footer").height();
	var sidePositionFixed = false;
	var sidePositionRelative = false;
	var sidePositionAbsolute = false;
	if (sidebarExist) {
		top = element.position().top;
		element_height = element.height();
		
	}
	slidingFunction = function() {
		var scrollTop = document.body.scrollTop || document.documentElement.scrollTop;

		// 回到顶部
		var winh = jQuery(window).height();
		(scrollTop > 300) ? jQuery("#backToTop").show() : jQuery("#backToTop").hide();
		// IE6
		if (TestIE.IE6) {
			jQuery("#backToTop").css("top", scrollTop + winh - 166);
		}
		var bodyHeight = jQuery("body").height();
		var back_to_top = document.getElementById('backToTop');
		// 回到顶部
		// 右侧边栏滚动
		if (sidebarExist) {
			var contentHeight = jQuery("#left_side").height();
			if (contentHeight < sidebarHeight + 300) {
				return;
			}
			if (scrollTop > top - 50) {
				if (window.XMLHttpRequest) {
					if (bodyHeight <= scrollTop + element_height + footer_height + 50) {
						if (!sidePositionAbsolute) {
							sidePositionFixed = false;
							sidePositionRelative = false;
							sidePositionAbsolute = true;
							var this_height = bodyHeight - element_height - footer_height - 20;
							element.css({position : "absolute",top : this_height});
						}
					} else {
						if (!sidePositionFixed) {
							element.css({ position : "fixed", top : 40 });
							sidePositionFixed = true;
							sidePositionRelative = false;
							sidePositionAbsolute = false;
						}
					}
				}
			} else {
				if (!sidePositionRelative) {
					element.css({ position : "relative", top : 0 });
					sidePositionRelative = true;
					sidePositionFixed = false;
					sidePositionAbsolute = false;
				}
			}
		}

	};
	jQuery(window).bind("scroll", slidingFunction);
	jQuery(window).bind("resize", slidingFunction);
	slidingFunction();

	// header nav
	// lcq
	$('.nav ul li').find(".linkMenu").each(function() {
		if ($(this).attr('default') == 'current') {
			$(this).addClass('currentMenu');
		}
	});
	$('.nav ul li').mouseover(function() {
		$(this).find('ul.sub-menu').css('visibility', 'visible');
		$(this).children('a:first').addClass('hoverMenu');

	});
	$('.nav ul li').mouseout(function() {
		$(this).find('ul.sub-menu').css('visibility', 'hidden');
		if ($(this).find(".linkMenu").attr('default') == 'current') {
			$(this).children('a:first').removeClass('hoverMenu');
		} else {
			$(this).children('a:first').not('#currentMenu').removeClass('hoverMenu');
		}

	});

	// loginIn

	$('.loginBtn').mouseover(function() {
		$(this).find('.loginSub').css('visibility', 'visible');
		$(this).children('a.loginButton').addClass('hoverLogin');

	});
	$('.loginBtn').mouseout(function() {
		$(this).find('.loginSub').css('visibility', 'hidden');
		$(this).children('a.loginButton').removeClass('hoverLogin');
	});
	// discussBox

	$('.discussBox').mouseover(function() {
		$(this).find('.sub-menu').css('visibility', 'visible');
		$(this).addClass('discussHover');

	});
	$('.discussBox').mouseout(function() {
		$(this).find('.sub-menu').css('visibility', 'hidden');
		$(this).removeClass('discussHover');
	});
	// 切换折叠、列表、橱窗、全文样式
	//侧边栏优惠券最新最热切换
	$('ul#widget_coupon_title li.hotCoupon').mouseover(function(){
		if(jQuery('#hot_coupon .current_coupon').size()<1){
			jQuery('#hot_coupon>li').eq(0).removeClass().addClass("current_coupon");
		}
		jQuery('#hot_coupon').show();
		$('#widget_coupon_title').removeClass('hotCouponBox').addClass('newCouponBox');
		jQuery('#new_coupon').hide();
	});
	$('ul#widget_coupon_title li.newCoupon').mouseover(function(){
		if(jQuery('#new_coupon .current_coupon').size()<1){
			jQuery('#new_coupon>li').eq(0).removeClass().addClass("current_coupon");
		}
		jQuery('#new_coupon').show();
		
		$('#widget_coupon_title').removeClass('newCouponBox').addClass('hotCouponBox');
	   jQuery('#hot_coupon').hide();
	});
	//侧边栏优惠券显示鼠标焦点所在记录的详细信息
	jQuery('.coupon_list>li').mouseover(function () {
		// Need to determine size of author column
		var this_class = jQuery(this).attr("class");	
		if (this_class.indexOf('other_coupon')>=0) {
			jQuery('.current_coupon').removeClass().addClass("other_coupon");
			jQuery(this).removeClass().addClass("current_coupon");
		}
	});
	//侧边栏优惠券在优惠券图片时去领取变色
	jQuery(".couponPicBox").mouseover(function() {
    	jQuery(this).children("div").children("a").addClass("get_coupon_hover");
    }).mouseout(function() {
    	jQuery(this).children("div").children("a").removeClass("get_coupon_hover");
    });	
	
	// 返回上一页
	$('.back_button').click(function() {
		if ((document.referrer).indexOf('smzdm.com') > 0){
			window.history.go(-1);
			return false;
		}else{
			window.location.href='/';
		}
	});
	
	//评论引用
	$(".comment-quote-link").click(function() {
		// 未登录时弹出框
		if ($('#login_user_id').val() <= 0) {
			//showLoginBox();
			showC();
			return false;
		}
		
		// 登录时
		if($("#comment").length > 0){
			var author = $(this).attr('title');
			var pid = $(this).parent().attr('id');
			pid = pid.split('_')[1];
			// 点击“引用”后在评论编辑框中的这些提示代码去掉，用户输入的要保留。并且光标换行
			var output = $("#comment").val();
			if (output.length > 0 && output != '')
			{
				var last_str = output.substr(output.length - 1, 1);
				if (last_str != '\n')
				{
					output += "\n";
				}
			}
			$("#comment").val(output);
			$("#comment").focus();
			$("#comment_parent").attr("value", pid);//添加引用、回复的评论ID
			
			// 回复给“XXX”，修改为 引用
			var quoteTo = document.getElementById("cdc_quote_to");
			if (quoteTo)
			{
				quoteTo.parentNode.removeChild(quoteTo);
			}
			$('#commentform').before('<div id="cdc_quote_to" style="margin: 0.5em 0px 0.5em 17px;">引用“' + ( $(this).attr("title") ) + '”：<a class="comment_lint" href="javascript:;" title="取消引用" onclick="cancle_quote()">取消引用</a></div>');
			
			return false;
		}
	});
	//@ta
	$(".comment-reply-link").click(function() {
		// 未登录时弹出框
		if ($('#login_user_id').val() <= 0) {
			// showLoginBox();
			showC();
			return false;
		}

		if ($("#comment").length > 0) {
			var author = $(this).attr('title');
			// 点击“引用”后在评论编辑框中的这些提示代码去掉，用户输入的要保留。并且光标换行
			var output = $.trim($("#comment").val());
			if (output == '为维护良好的讨论环境，请勿在留言中发布政治话题、买卖返券、加价转让、人身攻击等内容。') {
				output = author + ' ';
			} else {
				var out_arr = output.split(' ');
				var flag = true;
				for (i = 0; i < out_arr.length; i++) {
					if (author == out_arr[i]) {
						flag = false;
						break;
					}
				}
				if (flag) {
					output = author + ' ' + output + ' ';
				} else {
					output += ' ';
				}
			}
			$("#comment").val(output);
			$("#comment").focus();

			return false;
		}
	});

	// “名品精选”前台“品牌”的“展开、收起”按钮
	$(".open").click(function() {
		$("dd.openClose").css("height", "auto");
		$(this).css("display", "none");
		$(".close").css("display", "block");
	});
	$(".close").click(function() {
		$("dd.openClose").height(52);
		$(this).css("display", "none");
		$(".open").css("display", "block");
	});
	
	//侧边栏“当前热门活动”显示鼠标焦点所在记录的详细信息
	jQuery('.post_list>li').mouseover(function () {
		var this_class = jQuery(this).attr("class");	
		if (this_class.indexOf('other_post')>=0) {
			jQuery('.current_post').removeClass().addClass("other_post");
			jQuery(this).removeClass().addClass("current_post");
		}
	});
	jQuery('.post_list>li').mouseout(function () {
		var this_class = jQuery(this).attr("class");
		if (this_class.indexOf('current_post') >= 0) {
			jQuery(this).removeClass().addClass("current_post");
		}
	});

	// 侧边栏“当前热门活动”显示鼠标焦点所在记录的详细信息
	jQuery('.double_eleven_hot .post_list>li').mouseover(
			function() {
				var this_class = jQuery(this).attr("class");
				if (this_class.indexOf('other_post') >= 0) {
					jQuery('.double_eleven_hot .current_post').removeClass()
							.addClass("other_post");
					jQuery(this).removeClass().addClass("current_post");
				}
			});
	jQuery('.double_eleven_hot .post_list>li').mouseout(function() {
		var this_class = jQuery(this).attr("class");
		if (this_class.indexOf('current_post') >= 0) {
			jQuery(this).removeClass().addClass("current_post");
		}
	});

});

/**
 * 获取Cookie
 * 
 * @param name
 *            cookie名称
 * @returns
 */
function getCookie(name) {
	var start = document.cookie.indexOf( name + "=" );
	var len = start + name.length + 1;

	if ( ( !start ) && ( name != document.cookie.substring( 0, name.length ) ) )
		return null;

	if ( start == -1 )
		return null;

	var end = document.cookie.indexOf( ';', len );

	if ( end == -1 )
		end = document.cookie.length;
	return unescape( document.cookie.substring( len, end ) );
}

function tooltipBuyUrlShow(thisTag) {
	// var $this = $("#"+thisTag);
	$tooltip = $("#" + thisTag + ">div");
	$tooltip.attr("class", "tooltipBuyUrl");
	$tooltip.show();
}

function tooltipBuyUrlHide(thisTag) {
	// var $this = $("#"+thisTag);
	$tooltip = $("#" + thisTag + ">div");
	// 延时
	$tooltip.hide();
}

/**
 * 阅读全文、显示摘要
 */
function change_show_mode(tag, thistag) {
	$thisTag = $("#" + thistag);
	if (tag == "showDetails") {
		$("#" + thistag+ " .p_excerpt .my_add_text").hide();
		$thisTag.parents('.perContentBox').find('.conBox').removeClass(
				"excerptBox").addClass("show_all_content");

		$thisTag.parents('.perContentBox').find('.conBox img').each(function() {
				$(this).attr('src',$(this).attr('data-original'));
		});

		$thisTag.children("div").children(".showDetails")
				.css("display", "none");
		$thisTag.children("div").children(".closeDetails").css("display",
				"block");
	} else {
		$("#" + thistag+ " .p_excerpt .my_add_text").show();
		$thisTag.parents('.perContentBox').find('.conBox').addClass(
				"excerptBox").removeClass("show_all_content");
		$('html,body').animate({
			scrollTop : $thisTag.parents('.perContentBox').offset().top - 40
		}, '10');
		$thisTag.children("div").children(".showDetails").css("display", "");
		$thisTag.children("div").children(".closeDetails").css("display",
				"none");

	}
	return false;
}

$(document).ready(function() {
	//搜索框
	$(".inpu1").click(function() {
		$(this).parent('form.search').addClass('searchHover');
		$(this).parent('form.search').children(".inpu2").addClass('btnHover');
	});
	$(".inpu1").blur(function() {
		$(this).parent('form.search').removeClass('searchHover');
		$(this).parent('form.search').children(".inpu2").removeClass('btnHover');
	});
	//搜索框
});

var timeout_obj;

function getStrLength(str) {  
    var newvalue = str.replace(/[^\x00-\xff]/g, "**"); 
    return newvalue.length;  
}

/*********小工具******/
var go_switch = true;    //自动切换
var nn_old;             //上一张ID
var total_num = $("#slide #panel ul li").length;		//总数
var nn = 1;				//当前一张ID，默认为1
var slideInterval;		//定时器
var tt = 6000;			//停留时间
/* 点击左按钮 */
function pre_img() {
	nn--;
	if (nn < 1)
		nn = total_num;
	setFocus(nn);
}
/* 点击右按钮 */
function next_img() {
	nn++;
	if (nn > total_num)
		nn = 1;
	setFocus(nn);
}
/* 改变当前显示 */
function setFocus(i) {
	nn = i;
	$('#panel').find('ul li').css({"display":"none"});
	$('#panel').find('#slide_'+i).css({"display":"list-item"});
	var uri = $('#panel').find('#slide_'+i).find('a:first').attr("href");
	var title = $('#panel').find('#slide_'+i).find('a:first').attr("title");
	$('#slide_text').html('<a href="'+uri+'" target="_blank" title="'+title+'" rel="nofollow">'+title+'</a>');
	$('#slide_bg').height($('#slide_text').height());
}
$('#slide_perv').css('opacity', 0.3);
$('#slide_next').css('opacity', 0.3);
$('#slide_bg').height($('#slide_text').height());
/* 开始展示 */
if (go_switch){
	slideInterval = window.setInterval('next_img()', tt);//6秒切换一次
	$('#slide_wrapper').hover(
		function() {
			$('#slide_perv').css('opacity', 0.8);
			$('#slide_next').css('opacity', 0.8);
			go_switch = false;
			clearInterval(slideInterval);
		},
		function() {
			$('#slide_perv').css('opacity', 0.3);
			$('#slide_next').css('opacity', 0.3);
			go_switch = true;
			slideInterval = window.setInterval('next_img()', tt);
		}
	);
}

function smzdm_isCookieEnable() {
	var today = new Date();
	today.setTime( today.getTime() );
	var expires_date = new Date( today.getTime() + (1000 * 60) );

	document.cookie = 'smzdm_cookie_test=test;expires=' + expires_date.toGMTString() + ';path=/';
	var cookieEnable = (getCookie('smzdm_cookie_test') == 'test') ?  true : false;
	//document.cookie = 'ludou_cookie_test=;expires=Fri, 3 Aug 2001 20:47:11 UTC;path=/';
	return cookieEnable;
}
/**********end小工具*******/
$(function(){
	$('.add_to_fav').click(function(){
		var $fav=$(this).attr('id');
		$.ajax({
			url:ajax_url,
			type:'POST',
			data:'action=add_to_fav&fav=' + $fav,
			success:function(results){
				if(results=='n'){
					alert('收藏失败');
				}
				if (results=='y'){
					$('#'+$fav).text(parseInt($('#'+$fav).text())+1);
					$('#'+$fav).removeClass('add_to_fav').unbind();
					alert('收藏成功');
				}
				if (results=='h'){
					alert('已经收藏过了');
					$('#'+$fav).removeClass('add_to_fav').unbind();
				}
				if (results=='l'){
					alert('收藏请先登录');
				}
			}
		});
	});
	var smzdm_token = 1;
	$('.vote_up a').click(function(){
		if( !smzdm_isCookieEnable() ) {
			alert("很抱歉，您不能给本文投票！");
			return;
		}
		if(smzdm_token != 1) {
			alert("您的鼠标点得也太快了吧？！");
			return false;
		}
		smzdm_token = 0;

		var full_info = $(this).attr( 'rel' );
		var arr_param = full_info.split( '_' );
		$.ajax({
			url:ajax_url,
			type:'POST',
			data:'action=vote_post&rating=' + arr_param[ 0 ] + '&postid=' + arr_param[ 1 ],
			success:function(results){
				if(results=='n'){
					alert('评价失败');
					smzdm_token = 1;

				}
				if (results=='y'){
					var upd_vd = 'vup' + arr_param[ 1 ];
					$('#'+upd_vd).text(parseInt($("#"+upd_vd).text())+1);
					smzdm_token = 1;
					
				}
				if (results=='h'){
					smzdm_token = 1;
					alert('已经发表过评价了');
				}
				if (results=='e'){
					smzdm_token = 1;
					alert('评价失败');
				}
			}
		});
	});
	
	$('.vote_down a').click(function(){
		if( !smzdm_isCookieEnable() ) {
			alert("很抱歉，您不能给本文投票！");
			return;
		}
		if(smzdm_token != 1) {
			alert("您的鼠标点得也太快了吧？！");
			return false;
		}
		smzdm_token = 0;

		var full_info = $(this).attr( 'rel' );
		var arr_param = full_info.split( '_' );
		$.ajax({
			url:ajax_url,
			type:'POST',
			data:'action=vote_post&rating=' + arr_param[ 0 ] + '&postid=' + arr_param[ 1 ],
			success:function(results){
				if(results=='n'){
					alert('评价失败');
					smzdm_token = 1;
				}
				if (results=='y'){
					var upd_vd = 'vdown' + arr_param[ 1 ];
					$("#"+upd_vd).text(parseInt($("#"+upd_vd).text())+1);
					smzdm_token = 1;
				}
				if (results=='h'){
					smzdm_token = 1;
					alert('已经发表过评价了');
				}
				if (results=='e'){
					smzdm_token = 1;
					alert('发生未知错误');
				}
			}
		});
	});
});
/********ajax************/
$(function(){
	$("#back-to-top").hide();
	$(window).scroll(function(){
		if($(window).scrollTop()>100){
			$("#back-to-top").fadeIn(1500);
		}else{
			$("#back-to-top").fadeOut(1500);
		}
	});
	$("#back-to-top").click(function(){
		$('body,html').animate({scrollTop:0},1000);
			return false;
	});

    
    var $container = $('.masonryWrap');
    $container.imagesLoaded(function(){
      $container.masonry({
        itemSelector: '.masonryBrick',
      });
    });
});

$('.leftTjlbBox').find('.current-menu-item a').addClass('selected');
$('.leftTjlbBox .current-menu-parent').find("a:first").addClass('selected');
$('.leftTjlbBox li').mouseover(function() {
	$(this).find('.sub-menu').css('visibility', 'visible');
});
$('.leftTjlbBox li').mouseout(function() {
	$(this).find('.sub-menu').css('visibility', 'hidden');
});
	
$(function(){
    var url = window.location.toString();
    var id = url.split("#")[1];
    if(id){
        var t = $("#"+id).offset().top;
    	if(id=="commentnaviBottom"){
    		$(window).scrollTop(t-300);
    	}else{
    		$("html,body").animate({scrollTop: t-50}, 100);
    	}
    }
});
/*******商家滚动********/
function scrollToPosition(id) {
		var t = $('.'+id).position().top;
		$(window).scrollTop(t-60);
		return false;
	}
	

/*********头部公告******/
function MarqueeNews(){
	$('#news').find("ul").animate({
		marginTop : "-20px"
	}, 1000, function () {
		$(this).css({
				marginTop : "0px"
			}).find("li:first").appendTo(this)
	})
}

var MarNews = setInterval(MarqueeNews, 3000);

function gstop(){
	clearInterval(MarNews);
}

function gstart(){
	MarNews = setInterval(MarqueeNews, 3000);
}

function goup(){

	$('#news').find("ul li").last().insertBefore($('#news').find("ul li").first());
	
	$('#news').find("ul").css({marginTop:'-20px'});
	
	$('#news').find("ul").animate({
		marginTop : "0px"
	}, 500)
}
function godown(){
	
	$('#news').find("ul").animate({
		marginTop : "-20px"
	}, 500, function () {
		$(this).css({
				marginTop : "0px"
			}).find("li:first").appendTo(this)
	})
}
/*头部公告E*/